Skip to main content
`Ctrl`+`K`

# MFNView

Prints the `MFN` data structure.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNView(MFN mfn,PetscViewer viewer)

Collective

## Input Parameters

- mfn - the matrix function solver context

- viewer - optional visualization context

## Options Database Key

- -mfn_view - calls `MFNView()` at end of `MFNSolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

## See Also

MFN: Matrix Function, `MFNCreate()`, `MFNViewFromOptions()`

## Level

beginner

## Location

src/mfn/interface/mfnbasic.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages